当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-30 9:50 

注册: 2009-09-24 10:51
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
campbell@ubuntu:~/桌面$ rpm -U linuxqq-v1.0.2-beta1.i386.rpm
rpm: To install rpm packages on Debian systems, use alien. See README.Debian.
error: cannot open Packages index using db3 - 没有该文件或目录 (2)
error: 无法打开包数据库 /var/lib/rpm

出现这样的情况,是怎么了阿?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-30 10:00 

注册: 2009-05-20 18:26
帖子: 295
送出感谢: 0 次
接收感谢: 0 次
:em04 我给你翻译你就明白了
rpm:在基于Debian的系统上安装RPM包,使用alien. 查看README.Debian.(ubuntu应该安装*.deb,如果是RPM,使用alien转换)
错误:不能使用db3来打开包目录-没有该文件或目录 (2),
错误: 无法打开包数据库 /var/lib/rpm


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-30 10:01 

注册: 2009-09-24 10:51
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
.......我是新手!不准笑! :em06


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-30 10:09 
头像

注册: 2007-03-02 17:36
帖子: 7259
送出感谢: 3
接收感谢: 97
你不应该下rpm的,应该下deb的。


_________________
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-30 10:14 

注册: 2009-05-20 18:26
帖子: 295
送出感谢: 0 次
接收感谢: 0 次
ubuntu就是番茄花园版的Debian,,用的是DEB


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-30 12:07 

注册: 2009-09-24 10:51
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
换了一个deb版本的,可是还是不行,出现这样的提示:
dpkg:处理 linuxqq_v1.0.2-beta1_i386 (- -install)时出错 :
无法访问打包文件,没有该文件或目录
在处理时有错误发生: linuxqq_v1.0.2-beta1_i386

这是怎么回事阿?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-30 14:21 
头像

注册: 2009-06-01 10:48
帖子: 575
地址: 杭州
送出感谢: 2
接收感谢: 2
sudo dpkg -i linuxqq_1.0.2-beta1_i386.deb


_________________
Linux/Unix命令行手册:Unix Toolbox
一位坛友推荐的学习Linux/Unix的好书:传送门
A life without passion resembles the shadow from a grave.


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-31 8:56 

注册: 2009-09-24 10:51
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
YZMSQ 写道:
sudo dpkg -i linuxqq_1.0.2-beta1_i386.deb

对啊!我是这么做的啊!


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-31 9:06 

注册: 2009-07-04 16:18
帖子: 302
送出感谢: 0 次
接收感谢: 0 次
那个……文件名的路径要搞对。
其实直接双击下载的.deb文件即可安装


_________________
Freedom is the power to decide what your computer does, and the only way to have this freedom is to know what your computer is
doing. Freedom is a computer that is without secrets, one where everything can be known if you care enough to find out.


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-31 9:14 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
见了几个怎么都喜欢在ubuntu上装rpm包呢?都是小红帽的遗老么?


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-31 16:20 

注册: 2009-09-24 10:51
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
CRAZY_PALADIN 写道:
那个……文件名的路径要搞对。
其实直接双击下载的.deb文件即可安装

怎么搞?我搞了啊!
还特意地复制了一遍!


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-31 16:23 
头像

注册: 2008-08-27 14:57
帖子: 155
地址: ShanghHai__UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug_UIbug
送出感谢: 0 次
接收感谢: 1
貌似新立得里面装个alien,就是用来转换RPM包的,RPM不错,能统一就好了,linux就是标准多


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 在安装qq时,出现这样的提示(我安装的是rpm版)
帖子发表于 : 2009-10-31 16:23 
头像

注册: 2008-11-21 20:26
帖子: 36913
送出感谢: 1
接收感谢: 36
装上了保您更后悔,webQQ或者pidgin吧


_________________
讨厌我的人可以试着点一下
浏览全部ubuntu技巧


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Sogou [Spider] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译